<!DOCTYPE html SYSTEM "http://www.thymeleaf.org/dtd/xhtml1-strict-thymeleaf-spring4-4.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">

<head th:replace="header :: copy"></head>

<body>
<form th:action="@{/do-open-account/}" th:object="${accountForm}" method="get" class="col-4">
    <div class="form-group">
        <label for="customerID">Customer ID</label>
        <input type="text" class="form-control" id="customerID" th:field="*{customerID}"
               placeholder="Enter Customer Id" th:classappend="${#fields.hasErrors('customerID') ? 'is-invalid' : ''}">
        <div class="invalid-feedback" th:if="${#fields.hasErrors('customerID')}" th:errors="*{customerID}">
            Incorrect data
        </div>
    </div>
    <div class="form-group">
        <label for="initialCredit">Initial Credit</label>
        <input type="text" class="form-control" id="initialCredit" th:field="*{initialCredit}"
               placeholder="Enter Initial Credit"
               th:classappend="${#fields.hasErrors('initialCredit') ? 'is-invalid' : ''}">
        <div class="invalid-feedback" th:if="${#fields.hasErrors('initialCredit')}" th:errors="*{initialCredit}">
            Incorrect data
        </div>
    </div>
    <button type="submit" class="btn btn-primary">Submit</button>
</form>

<div th:replace="footer :: copy"></div>
</body>
</html>